# flags
A small utility which can be used to manipulate specific bits in a sequence
of bits.

## Installation
```
npm i @mightyplow/flags
```
<a name="set"></a>

## set(flag, [sequence]) ⇒ <code>number</code>
Sets one or multiple flags on a sequence of bits.

**Kind**: global function  

| Param | Type | Default | Description |
| --- | --- | --- | --- |
| flag | <code>number</code> \| <code>Array.&lt;number&gt;</code> |  | The bits which should be set |
| [sequence] | <code>number</code> | <code>0</code> | The bit sequence to set the flags on |

**Example**  
```js
import { set } from '@mightyplow/flags'

const Option = {
    foo: 2 ** 0,
    bar: 2 ** 1,
    baz: 2 ** 2
}

const base = 0b000;
console.log(set([Option.foo, Option.baz], base).toSting(2)) // "101"
```
<a name="unset"></a>

## unset(flag, [sequence]) ⇒ <code>number</code>
Unsets one or multiple flags on a sequence of bits.

**Kind**: global function  

| Param | Type | Default | Description |
| --- | --- | --- | --- |
| flag | <code>number</code> \| <code>Array.&lt;number&gt;</code> |  | The bits which should be unset |
| [sequence] | <code>number</code> | <code>0</code> | The bit sequence to set the flags on |

<a name="toggle"></a>

## toggle(flag, [sequence]) ⇒ <code>number</code>
Inverts one or multiple flags on a sequence of bits.

**Kind**: global function  

| Param | Type | Default | Description |
| --- | --- | --- | --- |
| flag | <code>number</code> \| <code>Array.&lt;number&gt;</code> |  | The bits which should be inverted |
| [sequence] | <code>number</code> | <code>0</code> | The bit sequence to set the flags on |

<a name="isset"></a>

## isset(flag, [sequence]) ⇒ <code>boolean</code>
Check whether one or multiple flags are set. Returns only true when
all requested bits are set.

**Kind**: global function  

| Param | Type | Default | Description |
| --- | --- | --- | --- |
| flag | <code>number</code> \| <code>Array.&lt;number&gt;</code> |  | The bits which should be inverted |
| [sequence] | <code>number</code> | <code>0</code> | The bit sequence to set the flags on |

